# signature.h File Reference

Go to the source code of this file.

## Data Structures

struct | _SignatureInfo

## Defines

#define | MagickSignatureSize 64

## Typedefs

typedef struct _SignatureInfo | SignatureInfo

## Functions

MagickExport MagickBooleanType | SignatureImage (Image *)
MagickExport void | FinalizeSignature (SignatureInfo *)
MagickExport void | GetSignatureInfo (SignatureInfo *)
MagickExport void | UpdateSignature (SignatureInfo *, const unsigned char *, const size_t)

## Define Documentation

#define MagickSignatureSize 64

## Typedef Documentation

typedef struct _SignatureInfo SignatureInfo

## Function Documentation

MagickExport void FinalizeSignature | ( | SignatureInfo * |  | ) |

MagickExport void GetSignatureInfo | ( | SignatureInfo * |  | ) |

MagickExport MagickBooleanType SignatureImage | ( | Image * |  | ) |

MagickExport void UpdateSignature | ( | SignatureInfo * | ,
|  | const unsigned char * | ,
|  | const | size_t |
| ) |  |  |